# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define gname org.apache.sling

Summary:        A JCR Web Framework
Name:           sling6
Version:        6
Release:        1%{?dist}
Epoch:          0
Group:          Development/Libraries/Application Frameworks
License:        Apache 2.0 License
URL:            http://sling.apache.org/
Source0:        http://archive.apache.org/dist/sling/sling-6-source-release.tar.gz

Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-settings.xml
Source11:       http://repo1.maven.org/maven2/org/codehaus/mojo/versions-maven-plugin/1.2/versions-maven-plugin-1.2.jar
Source12:       http://repo1.maven.org/maven2/org/codehaus/mojo/versions-maven-plugin/1.2/versions-maven-plugin-1.2.pom

Patch0:         %{name}-pom.patch
Patch1:         %{name}-parent-pom.patch
Patch2:         %{name}-bundles-parent-pom.patch
Patch3:         %{name}-bundles-scripting-jsp-pom.patch
Patch4:         %{name}-maven-jspc-plugin-pom.patch
Patch5:         %{name}-maven-jspc-plugin-JspcMojo.patch
Patch6:         %{name}-bundles-commons-osgi-pom.patch
Patch7:         %{name}-bundles-extensions-adapter-pom.patch
Patch8:         %{name}-bundles-commons-testing-pom.patch
Patch9:         %{name}-bundles-commons-json-pom.patch
Patch10:        %{name}-maven-sling-plugin-pom.patch
Patch11:        %{name}-bundles-commons-log-pom.patch
Patch12:        %{name}-bundles-auth-core-pom.patch
Patch13:        %{name}-bundles-auth-openid-pom.patch
Patch14:        %{name}-jackrabbit-server-PluggableDefaultAccessManager.patch
Patch15:        %{name}-bundles-auth-form-pom.patch
Patch16:        %{name}-bundles-auth-selector-pom.patch
Patch17:        %{name}-bundles-engine-pom.patch
Patch18:        %{name}-bundles-jcr-classloader-pom.patch
Patch19:        %{name}-bundles-jcr-contentloader-pom.patch
Patch20:        %{name}-bundles-jcr-resource-pom.patch
Patch21:        %{name}-bundles-jcr-ocm-OcmAdapterFactory.patch
Patch22:        %{name}-bundles-jcr-webdav-pom.patch
Patch23:        %{name}-bundles-jcr-davex-pom.patch
Patch24:        %{name}-bundles-jcr-webconsole-pom.patch
Patch25:        %{name}-bundles-servlets-resolver-pom.patch
Patch26:        %{name}-bundles-scripting-javascript-pom.patch
Patch27:        %{name}-bundles-extensions-bundleresource-pom.patch
Patch28:        %{name}-bundles-extensions-event-pom.patch
Patch29:        %{name}-bundles-extensions-fsresource-pom.patch
Patch30:        %{name}-bundles-extensions-webconsolesecurityprovider-pom.patch
Patch31:        %{name}-installer-providers-file-pom.patch
Patch32:        %{name}-installer-providers-jcr-pom.patch
Patch33:        %{name}-installer-pom.patch
Patch34:        %{name}-bundles-commons-mime-pom.patch
Patch35:        %{name}-bundles-commons-scheduler-pom.patch
Patch36:        %{name}-bundles-jcr-jackrabbit-server-pom.patch
Patch37:        %{name}-bundles-servlets-post-pom.patch
Patch38:        %{name}-bundles-jcr-jackrabbit-usermanager-pom.patch
Patch39:        %{name}-bundles-jcr-jackrabbit-accessmanager-pom.patch
Patch40:        %{name}-bundles-jcr-ocm-pom.patch
Patch41:        %{name}-bundles-servlets-get-pom.patch
Patch42:        %{name}-bundles-scripting-core-pom.patch
Patch43:        %{name}-bundles-scripting-jsp-taglib-pom.patch
Patch44:        %{name}-bundles-extensions-explorer-pom.patch
Patch45:        %{name}-launchpad-test-services-pom.patch
Patch46:        %{name}-launchpad-test-services-war-pom.patch
Patch47:        %{name}-launchpad-builder-pom.patch
Patch48:        %{name}-maven-jcrocm-plugin-pom.patch
Patch49:        %{name}-launchpad-builder-list.patch
Patch50:        %{name}-bundles-extensions-threaddump-pom.patch


BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-war
BuildRequires:  apache-felix-maven-scr-plugin
BuildRequires:  apache-rat
BuildRequires:  maven-shared-filtering
BuildRequires:  maven-archetype2
BuildRequires:  maven-script-interpreter
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  modello11
BuildRequires:  mojo-maven2-plugin-emma
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  geronimo-genesis
BuildRequires:  jackrabbit-parent
BuildRequires:  james-project
BuildRequires:  jmock2
BuildRequires:  junit4
BuildRequires:  junit-addons

BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-fileupload
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-modeler
BuildRequires:  apache-commons-pool
BuildRequires:  apache-felix-eventadmin
BuildRequires:  apache-felix-maven-bundle-plugin
BuildRequires:  apache-felix-metatype
BuildRequires:  apache-felix-scr
BuildRequires:  cglib
BuildRequires:  dyuproject
BuildRequires:  geronimo-jsp-2.1-api
BuildRequires:  geronimo-servlet-2.5-api
BuildRequires:  jackrabbit21
BuildRequires:  jackrabbit-classloader
BuildRequires:  jackrabbit-jcr-rmi
BuildRequires:  jackrabbit-ocm
BuildRequires:  jackrabbit
BuildRequires:  jcr_2_0_api
BuildRequires:  jdom
BuildRequires:  jetty6
BuildRequires:  kxml2
BuildRequires:  plexus-archiver
BuildRequires:  plexus-utils
BuildRequires:  qdox161
BuildRequires:  quartz16
BuildRequires:  rhino16
BuildRequires:  tomcat6-jsp-2.1-api
BuildRequires:  tomcat6-servlet-2.5-api
BuildRequires:  tomcat6-el-1.0-api
BuildRequires:  tomcat6-lib
BuildRequires:  tomcat6
BuildRequires:  apache-felix-configadmin
BuildRequires:  apache-felix-framework
BuildRequires:  apache-felix-gogo
BuildRequires:  apache-felix-http
BuildRequires:  apache-felix-scr-annotations
BuildRequires:  apache-felix-shell
BuildRequires:  apache-felix-webconsole
BuildRequires:  apache-felix-webconsole-plugins
BuildRequires:  apache-mime4j
BuildRequires:  aries-jmx
BuildRequires:  boilerpipe
BuildRequires:  derby
BuildRequires:  drools
BuildRequires:  dyuproject >= 0:1.1.7
BuildRequires:  jackrabbit21
BuildRequires:  netcdf-java
BuildRequires:  org.osgi.compendium
BuildRequires:  org.osgi.core
BuildRequires:  rome
BuildRequires:  slf4j


Requires:       java >= 0:1.6.0

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Apache Sling is a web framework that 
uses a Java Content Repository, such as Apache Jackrabbit, to 
store and manage content.
Sling applications use either scripts or Java servlets, 
selected based on simple name conventions, to process HTTP 
requests in a RESTful way.
The embedded Apache Felix OSGi framework and console provide 
a dynamic runtime environment, where code and content bundles 
can be loaded, unloaded and reconfigured at runtime.
As the first web framework dedicated to JSR-170 Java Content 
Repositories, Sling makes it very simple to implement simple 
applications, while providing an enterprise-level framework 
for more complex applications.

%package api
Group:          Development/Libraries/Application Frameworks
Summary:        API from %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       servlet_2_5_api
Requires:       slf4j

%description api
%{summary}.

%package auth
Group:          Development/Libraries/Application Frameworks
Summary:        Auth bundles from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       apache-commons-codec
Requires:       apache-commons-lang
Requires:       apache-felix-scr-annotations
Requires:       dyuproject
Requires:       jcr_2_0_api
Requires:       jetty6
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       servlet_2_5_api
Requires:       slf4j

%description auth
%{summary}.

%package commons
Group:          Development/Libraries/Application Frameworks
Summary:        Commons module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-extensions = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       jackrabbit21
Requires:       apache-commons-beanutils
Requires:       apache-commons-dbcp
Requires:       apache-commons-digester
Requires:       apache-commons-httpclient
Requires:       apache-commons-io
Requires:       apache-commons-modeler
Requires:       apache-commons-pool
Requires:       apache-felix-gogo
Requires:       jcr_2_0_api
Requires:       jmock2
Requires:       junit4
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       quartz16
Requires:       rhino16
Requires:       servlet_2_5_api
Requires:       slf4j

%description commons
%{summary}.

%package engine
Group:          Development/Libraries/Application Frameworks
Summary:        Engine module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-auth = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-extensions = %{epoch}:%{version}-%{release}
Requires:       apache-commons-collections
Requires:       apache-commons-fileupload
Requires:       apache-felix-scr-annotations
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       servlet_2_5_api
Requires:       slf4j

%description engine
%{summary}.

%package extensions
Group:          Development/Libraries/Application Frameworks
Summary:        Extensions module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       apache-felix-scr-annotations
Requires:       apache-felix-shell
Requires:       apache-felix-webconsole
Requires:       jackrabbit21
Requires:       jackrabbit
Requires:       jcr_2_0_api
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       servlet_2_5_api
Requires:       slf4j

%description extensions
%{summary}.

%package installer
Group:          Development/Libraries/Application Frameworks
Summary:        Installer module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-extensions = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       apache-felix-configadmin
Requires:       jcr_2_0_api
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       servlet_2_5_api
Requires:       slf4j

%description installer
%{summary}.

%package jcr
Group:          Development/Libraries/Application Frameworks
Summary:        JCR module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-auth = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-engine = %{epoch}:%{version}-%{release}
Requires:       %{name}-extensions = %{epoch}:%{version}-%{release}
Requires:       %{name}-scripting = %{epoch}:%{version}-%{release}
Requires:       %{name}-servlets = %{epoch}:%{version}-%{release}
Requires:       cglib
Requires:       apache-commons-beanutils
Requires:       apache-commons-collections
Requires:       apache-commons-io
Requires:       apache-felix-scr-annotations
Requires:       apache-felix-webconsole
Requires:       jackrabbit21
Requires:       jackrabbit-classloader
Requires:       jackrabbit-jcr-rmi
Requires:       jackrabbit
Requires:       jcr_2_0_api
Requires:       kxml2
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       servlet_2_5_api
Requires:       slf4j

%description jcr
%{summary}.

%package launchpad
Group:          Development/Libraries/Application Frameworks
Summary:        Launchpad module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-installer = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       %{name}-scripting = %{epoch}:%{version}-%{release}
Requires:       apache-felix-framework
Requires:       apache-felix-http
Requires:       apache-felix-scr-annotations
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       jackrabbit-ocm
Requires:       jcr_2_0_api
Requires:       servlet_2_5_api
Requires:       slf4j

%description launchpad
%{summary}.

%package maven
Group:          Development/Libraries/Application Frameworks
Summary:        Maven2 plugins and archetypes from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-launchpad = %{epoch}:%{version}-%{release}
Requires:       %{name}-scripting = %{epoch}:%{version}-%{release}
Requires:       apache-commons-httpclient
Requires:       apache-commons-io
Requires:       apache-commons-logging
Requires:       apache-felix-scr-annotations
Requires:       drools
Requires:       jcr_2_0_api
Requires:       jdom
Requires:       jsp_2_1_api
Requires:       maven2
Requires:       maven-shared-filtering
Requires:       org.osgi.core
Requires:       plexus-archiver
Requires:       plexus-utils
Requires:       qdox161
Requires:       servlet_2_5_api
Requires:       slf4j

%description maven
%{summary}.

%package scripting
Group:          Development/Libraries/Application Frameworks
Summary:        Scripting module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       ecj3
Requires:       apache-commons-collections
Requires:       apache-commons-io
Requires:       apache-felix-scr-annotations
Requires:       jcr_2_0_api
Requires:       jsp_2_1_api
Requires:       livetribe-jsr223
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       rhino16
Requires:       servlet_2_5_api
Requires:       slf4j
Requires:       tomcat6
Requires:       tomcat6-lib

%description scripting
%{summary}.

%package servlets
Group:          Development/Libraries/Application Frameworks
Summary:        Servlets module from %{name}
Requires:       %{name}-api = %{epoch}:%{version}-%{release}
Requires:       %{name}-commons = %{epoch}:%{version}-%{release}
Requires:       %{name}-engine = %{epoch}:%{version}-%{release}
Requires:       %{name}-extensions = %{epoch}:%{version}-%{release}
Requires:       %{name}-jcr = %{epoch}:%{version}-%{release}
Requires:       jackrabbit
Requires:       jcr_2_0_api
Requires:       org.osgi.compendium
Requires:       org.osgi.core
Requires:       servlet_2_5_api
Requires:       slf4j

%description servlets
%{summary}.


%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n sling-6-source-release/

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%patch13 -b .sav13
%patch14 -b .sav14
%patch15 -b .sav15
%patch16 -b .sav16
%patch17 -b .sav17
%patch18 -b .sav18
%patch19 -b .sav19
%patch20 -b .sav20
%patch21 -b .sav21
%patch22 -b .sav22
%patch23 -b .sav23
%patch24 -b .sav24
%patch25 -b .sav25
%patch26 -b .sav26
%patch27 -b .sav27
%patch28 -b .sav28
%patch29 -b .sav29
%patch30 -b .sav30
%patch31 -b .sav31
%patch32 -b .sav32
%patch33 -b .sav33
%patch34 -b .sav34
%patch35 -b .sav35
%patch36 -b .sav36
%patch37 -b .sav37
%patch38 -b .sav38
%patch39 -b .sav39
%patch40 -b .sav40
%patch41 -b .sav41
%patch42 -b .sav42
%patch43 -b .sav43
%patch44 -b .sav44
%patch45 -b .sav45
%patch46 -b .sav46
%patch47 -b .sav47
%patch48 -b .sav48
%patch49 -b .sav49
%patch50 -b .sav50


mkdir -p launchpad/base/target/maven-shared-archive-resources
mkdir -p launchpad/builder/target/maven-shared-archive-resources

%build
cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p ${MAVEN_REPO_LOCAL}/org/apache/sling/sling/5-incubator/
cp parent/pom.xml ${MAVEN_REPO_LOCAL}/org/apache/sling/sling/5-incubator/sling-5-incubator.pom
mkdir -p ${MAVEN_REPO_LOCAL}/org/apache/sling/sling/8/
cp parent/pom.xml ${MAVEN_REPO_LOCAL}/org/apache/sling/sling/8/sling-8.pom
mkdir -p ${MAVEN_REPO_LOCAL}/org/apache/sling/sling/9/
cp parent/pom.xml ${MAVEN_REPO_LOCAL}/org/apache/sling/sling/9/sling-9.pom
mkdir -p $MAVEN_REPO_LOCAL/org/codehaus/mojo/versions-maven-plugin/1.2/
cp %{SOURCE11} $MAVEN_REPO_LOCAL/org/codehaus/mojo/versions-maven-plugin/1.2/versions-maven-plugin-1.2.jar
cp %{SOURCE12} $MAVEN_REPO_LOCAL/org/codehaus/mojo/versions-maven-plugin/1.2/versions-maven-plugin-1.2.pom
#mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606/
#cp /usr/lib*/eclipse/plugins/org.eclipse.equinox.http.servlet_1*.jar $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.jar

export MAVEN_OPTS="-Xmx512M -XX:MaxPermSize=512M"


mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dhttp.port=8765 \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.failure.ignore=true \
        install javadoc:aggregate

# hack
cd launchpad/builder
mkdir tmp
cd tmp
jar xf ../../base/target/org.apache.sling.launchpad.base-2.3.0-app.jar
jar xf ../target/org.apache.sling.launchpad-6-bundles.jar 
cp ../../base/target/org.apache.sling.launchpad.base-2.3.0.jar resources/org.apache.sling.launchpad.base.jar
echo "Main-Class: org.apache.sling.launchpad.app.Main" >> ../target/classes/META-INF/MANIFEST.MF 
sed -i -e '/^\r$/d' ../target/classes/META-INF/MANIFEST.MF
jar cmf ../target/classes/META-INF/MANIFEST.MF ../target/org.apache.sling.launchpad-6-standalone.jar *


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-builder.pom
%add_to_maven_depmap %{gname} sling-builder %{version} JPP/%{name} builder

%define api_version 2.2.0
install -m 644 bundles/api/target/org.apache.sling.api-%{api_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.api-%{api_version}.jar
install -m 644 bundles/api/target/org.apache.sling.api-%{api_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.api-sources-%{api_version}.jar
install -m 644 bundles/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.api.pom
%add_to_maven_depmap %{gname} org.apache.sling.api %{api_version} JPP/%{name} org.apache.sling.api

%define auth_core_version 1.0.6
install -m 644 bundles/auth/core/target/org.apache.sling.auth.core-%{auth_core_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.core-%{auth_core_version}.jar
install -m 644 bundles/auth/core/target/org.apache.sling.auth.core-%{auth_core_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.core-sources-%{auth_core_version}.jar
install -m 644 bundles/auth/core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.auth.core.pom
%add_to_maven_depmap %{gname} org.apache.sling.auth.core %{auth_core_version} JPP/%{name} org.apache.sling.auth.core

%define auth_form_version 1.0.2
install -m 644 bundles/auth/form/target/org.apache.sling.auth.form-%{auth_form_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.form-%{auth_form_version}.jar
install -m 644 bundles/auth/form/target/org.apache.sling.auth.form-%{auth_form_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.form-sources-%{auth_form_version}.jar
install -m 644 bundles/auth/form/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.auth.form.pom
%add_to_maven_depmap %{gname} org.apache.sling.auth.form %{auth_form_version} JPP/%{name} org.apache.sling.auth.form

%define auth_openid_version 1.0.2
install -m 644 bundles/auth/openid/target/org.apache.sling.auth.openid-%{auth_openid_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.openid-%{auth_openid_version}.jar
install -m 644 bundles/auth/openid/target/org.apache.sling.auth.openid-%{auth_openid_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.openid-sources-%{auth_openid_version}.jar
install -m 644 bundles/auth/openid/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.auth.openid.pom
%add_to_maven_depmap %{gname} org.apache.sling.auth.openid %{auth_openid_version} JPP/%{name} org.apache.sling.auth.openid

%define auth_selector_version 1.0.4
install -m 644 bundles/auth/selector/target/org.apache.sling.auth.selector-%{auth_selector_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.selector-%{auth_selector_version}.jar
install -m 644 bundles/auth/selector/target/org.apache.sling.auth.selector-%{auth_selector_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.auth.selector-sources-%{auth_selector_version}.jar
install -m 644 bundles/auth/selector/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.auth.selector.pom
%add_to_maven_depmap %{gname} org.apache.sling.auth.selector %{auth_selector_version} JPP/%{name} org.apache.sling.auth.selector

%define commons_classloader_version 1.2.2
install -m 644 bundles/commons/classloader/target/org.apache.sling.commons.classloader-%{commons_classloader_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.classloader-%{commons_classloader_version}.jar
install -m 644 bundles/commons/classloader/target/org.apache.sling.commons.classloader-%{commons_classloader_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.classloader-sources-%{commons_classloader_version}.jar
install -m 644 bundles/commons/classloader/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.classloader.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.classloader %{commons_classloader_version} JPP/%{name} org.apache.sling.commons.classloader

%define commons_json_version 2.0.6
install -m 644 bundles/commons/json/target/org.apache.sling.commons.json-%{commons_json_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.json-%{commons_json_version}.jar
install -m 644 bundles/commons/json/target/org.apache.sling.commons.json-%{commons_json_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.json-sources-%{commons_json_version}.jar
install -m 644 bundles/commons/json/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.json.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.json %{commons_json_version} JPP/%{name} org.apache.sling.commons.json

%define commons_log_version 2.1.2
install -m 644 bundles/commons/log/target/org.apache.sling.commons.log-%{commons_log_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.log-%{commons_log_version}.jar
install -m 644 bundles/commons/log/target/org.apache.sling.commons.log-%{commons_log_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.log-sources-%{commons_log_version}.jar
install -m 644 bundles/commons/log/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.log.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.log %{commons_log_version} JPP/%{name} org.apache.sling.commons.log

%define commons_mime_version 2.1.4
install -m 644 bundles/commons/mime/target/org.apache.sling.commons.mime-%{commons_mime_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.mime-%{commons_mime_version}.jar
install -m 644 bundles/commons/mime/target/org.apache.sling.commons.mime-%{commons_mime_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.mime-sources-%{commons_mime_version}.jar
install -m 644 bundles/commons/mime/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.mime.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.mime %{commons_mime_version} JPP/%{name} org.apache.sling.commons.mime

%define commons_osgi_version 2.0.6
install -m 644 bundles/commons/osgi/target/org.apache.sling.commons.osgi-%{commons_osgi_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.osgi-%{commons_osgi_version}.jar
install -m 644 bundles/commons/osgi/target/org.apache.sling.commons.osgi-%{commons_osgi_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.osgi-sources-%{commons_osgi_version}.jar
install -m 644 bundles/commons/osgi/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.osgi.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.osgi %{commons_osgi_version} JPP/%{name} org.apache.sling.commons.osgi

%define commons_scheduler_version 2.2.0
install -m 644 bundles/commons/scheduler/target/org.apache.sling.commons.scheduler-%{commons_scheduler_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.scheduler-%{commons_scheduler_version}.jar
install -m 644 bundles/commons/scheduler/target/org.apache.sling.commons.scheduler-%{commons_scheduler_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.scheduler-sources-%{commons_scheduler_version}.jar
install -m 644 bundles/commons/scheduler/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.scheduler.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.scheduler %{commons_scheduler_version} JPP/%{name} org.apache.sling.commons.scheduler

%define commons_testing_version 2.0.8
install -m 644 bundles/commons/testing/target/org.apache.sling.commons.testing-%{commons_testing_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.testing-%{commons_testing_version}.jar
install -m 644 bundles/commons/testing/target/org.apache.sling.commons.testing-%{commons_testing_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.testing-sources-%{commons_testing_version}.jar
install -m 644 bundles/commons/testing/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.testing.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.testing %{commons_testing_version} JPP/%{name} org.apache.sling.commons.testing

%define commons_threads_version 3.1.0
install -m 644 bundles/commons/threads/target/org.apache.sling.commons.threads-%{commons_threads_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.threads-%{commons_threads_version}.jar
install -m 644 bundles/commons/threads/target/org.apache.sling.commons.threads-%{commons_threads_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.commons.threads-sources-%{commons_threads_version}.jar
install -m 644 bundles/commons/threads/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.commons.threads.pom
%add_to_maven_depmap %{gname} org.apache.sling.commons.threads %{commons_threads_version} JPP/%{name} org.apache.sling.commons.threads

%define engine_version 2.2.2
install -m 644 bundles/engine/target/org.apache.sling.engine-%{engine_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.engine-%{engine_version}.jar
install -m 644 bundles/engine/target/org.apache.sling.engine-%{engine_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.engine-sources-%{engine_version}.jar
install -m 644 bundles/engine/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.engine.pom
%add_to_maven_depmap %{gname} org.apache.sling.engine %{engine_version} JPP/%{name} org.apache.sling.engine

%define extensions_adapter_version 2.0.8
install -m 644 bundles/extensions/adapter/target/org.apache.sling.adapter-%{extensions_adapter_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.adapter-%{extensions_adapter_version}.jar
install -m 644 bundles/extensions/adapter/target/org.apache.sling.adapter-%{extensions_adapter_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.adapter-sources-%{extensions_adapter_version}.jar
install -m 644 bundles/extensions/adapter/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.adapter.pom
%add_to_maven_depmap %{gname} org.apache.sling.adapter %{extensions_adapter_version} JPP/%{name} org.apache.sling.adapter

%define extensions_bundleresource_version 2.0.6
install -m 644 bundles/extensions/bundleresource/target/org.apache.sling.bundleresource.impl-%{extensions_bundleresource_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.bundleresource.impl-%{extensions_bundleresource_version}.jar
install -m 644 bundles/extensions/bundleresource/target/org.apache.sling.bundleresource.impl-%{extensions_bundleresource_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.bundleresource.impl-sources-%{extensions_bundleresource_version}.jar
install -m 644 bundles/extensions/bundleresource/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.bundleresource.impl.pom
%add_to_maven_depmap %{gname} org.apache.sling.bundleresource.impl %{extensions_bundleresource_version} JPP/%{name} org.apache.sling.bundleresource.impl

%define extensions_event_version 3.0.2
install -m 644 bundles/extensions/event/target/org.apache.sling.event-%{extensions_event_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.event-%{extensions_event_version}.jar
install -m 644 bundles/extensions/event/target/org.apache.sling.event-%{extensions_event_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.event-sources-%{extensions_event_version}.jar
install -m 644 bundles/extensions/event/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.event.pom
%add_to_maven_depmap %{gname} org.apache.sling.event %{extensions_event_version} JPP/%{name} org.apache.sling.event

%define extensions_explorer_version 1.0.2
install -m 644 bundles/extensions/explorer/target/org.apache.sling.extensions.explorer-%{extensions_explorer_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.explorer-%{extensions_explorer_version}.jar
install -m 644 bundles/extensions/explorer/target/org.apache.sling.extensions.explorer-%{extensions_explorer_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.explorer-sources-%{extensions_explorer_version}.jar
install -m 644 bundles/extensions/explorer/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.extensions.explorer.pom
%add_to_maven_depmap %{gname} org.apache.sling.extensions.explorer %{extensions_explorer_version} JPP/%{name} org.apache.sling.extensions.explorer

%define extensions_fsresource_version 1.0.2
install -m 644 bundles/extensions/fsresource/target/org.apache.sling.fsresource-%{extensions_fsresource_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.fsresource-%{extensions_fsresource_version}.jar
install -m 644 bundles/extensions/fsresource/target/org.apache.sling.fsresource-%{extensions_fsresource_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.fsresource-sources-%{extensions_fsresource_version}.jar
install -m 644 bundles/extensions/fsresource/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.fsresource.pom
%add_to_maven_depmap %{gname} org.apache.sling.fsresource %{extensions_fsresource_version} JPP/%{name} org.apache.sling.fsresource

%define extensions_settings_version 1.0.2
install -m 644 bundles/extensions/settings/target/org.apache.sling.settings-%{extensions_settings_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.settings-%{extensions_settings_version}.jar
install -m 644 bundles/extensions/settings/target/org.apache.sling.settings-%{extensions_settings_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.settings-sources-%{extensions_settings_version}.jar
install -m 644 bundles/extensions/settings/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.settings.pom
%add_to_maven_depmap %{gname} org.apache.sling.settings %{extensions_settings_version} JPP/%{name} org.apache.sling.settings

%define extensions_threaddump_version 0.2.0
install -m 644 bundles/extensions/threaddump/target/org.apache.sling.extensions.threaddump-%{extensions_threaddump_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.threaddump-%{extensions_threaddump_version}.jar
install -m 644 bundles/extensions/threaddump/target/org.apache.sling.extensions.threaddump-%{extensions_threaddump_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.threaddump-sources-%{extensions_threaddump_version}.jar
install -m 644 bundles/extensions/threaddump/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.extensions.threaddump.pom
%add_to_maven_depmap %{gname} org.apache.sling.extensions.threaddump %{extensions_threaddump_version} JPP/%{name} org.apache.sling.extensions.threaddump

%define extensions_webconsolebranding_version 1.0.0
install -m 644 bundles/extensions/webconsolebranding/target/org.apache.sling.extensions.webconsolebranding-%{extensions_webconsolebranding_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.webconsolebranding-%{extensions_webconsolebranding_version}.jar
install -m 644 bundles/extensions/webconsolebranding/target/org.apache.sling.extensions.webconsolebranding-%{extensions_webconsolebranding_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.webconsolebranding-sources-%{extensions_webconsolebranding_version}.jar
install -m 644 bundles/extensions/webconsolebranding/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.extensions.webconsolebranding.pom
%add_to_maven_depmap %{gname} org.apache.sling.extensions.webconsolebranding %{extensions_webconsolebranding_version} JPP/%{name} org.apache.sling.extensions.webconsolebranding

%define extensions_webconsolesecurityprovider_version 1.0.0
install -m 644 bundles/extensions/webconsolesecurityprovider/target/org.apache.sling.extensions.webconsolesecurityprovider-%{extensions_webconsolesecurityprovider_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.webconsolesecurityprovider-%{extensions_webconsolesecurityprovider_version}.jar
install -m 644 bundles/extensions/webconsolesecurityprovider/target/org.apache.sling.extensions.webconsolesecurityprovider-%{extensions_webconsolesecurityprovider_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.extensions.webconsolesecurityprovider-sources-%{extensions_webconsolesecurityprovider_version}.jar
install -m 644 bundles/extensions/webconsolesecurityprovider/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.extensions.webconsolesecurityprovider.pom
%add_to_maven_depmap %{gname} org.apache.sling.extensions.webconsolesecurityprovider %{extensions_webconsolesecurityprovider_version} JPP/%{name} org.apache.sling.extensions.webconsolesecurityprovider

%define jcr_api_version 2.1.0
install -m 644 bundles/jcr/api/target/org.apache.sling.jcr.api-%{jcr_api_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.api-%{jcr_api_version}.jar
install -m 644 bundles/jcr/api/target/org.apache.sling.jcr.api-%{jcr_api_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.api-sources-%{jcr_api_version}.jar
install -m 644 bundles/jcr/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.api.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.api %{jcr_api_version} JPP/%{name} org.apache.sling.jcr.api

%define jcr_base_version 2.1.0
install -m 644 bundles/jcr/base/target/org.apache.sling.jcr.base-%{jcr_base_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.base-%{jcr_base_version}.jar
install -m 644 bundles/jcr/base/target/org.apache.sling.jcr.base-%{jcr_base_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.base-sources-%{jcr_base_version}.jar
install -m 644 bundles/jcr/base/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.base.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.base %{jcr_base_version} JPP/%{name} org.apache.sling.jcr.base

%define jcr_classloader_version 3.1.4
install -m 644 bundles/jcr/classloader/target/org.apache.sling.jcr.classloader-%{jcr_classloader_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.classloader-%{jcr_classloader_version}.jar
install -m 644 bundles/jcr/classloader/target/org.apache.sling.jcr.classloader-%{jcr_classloader_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.classloader-sources-%{jcr_classloader_version}.jar
install -m 644 bundles/jcr/classloader/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.classloader.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.classloader %{jcr_classloader_version} JPP/%{name} org.apache.sling.jcr.classloader

%define jcr_contentloader_version 2.1.2
install -m 644 bundles/jcr/contentloader/target/org.apache.sling.jcr.contentloader-%{jcr_contentloader_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.contentloader-%{jcr_contentloader_version}.jar
install -m 644 bundles/jcr/contentloader/target/org.apache.sling.jcr.contentloader-%{jcr_contentloader_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.contentloader-sources-%{jcr_contentloader_version}.jar
install -m 644 bundles/jcr/contentloader/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.contentloader.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.contentloader %{jcr_contentloader_version} JPP/%{name} org.apache.sling.jcr.contentloader

%define jcr_davex_version 1.0.0
install -m 644 bundles/jcr/davex/target/org.apache.sling.jcr.davex-%{jcr_davex_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.davex-%{jcr_davex_version}.jar
install -m 644 bundles/jcr/davex/target/org.apache.sling.jcr.davex-%{jcr_davex_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.davex-sources-%{jcr_davex_version}.jar
install -m 644 bundles/jcr/davex/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.davex.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.davex %{jcr_davex_version} JPP/%{name} org.apache.sling.jcr.davex

%define jcr_jackrabbit_accessmanager_version 2.1.0
install -m 644 bundles/jcr/jackrabbit-accessmanager/target/org.apache.sling.jcr.jackrabbit.accessmanager-%{jcr_jackrabbit_accessmanager_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.jackrabbit.accessmanager-%{jcr_jackrabbit_accessmanager_version}.jar
install -m 644 bundles/jcr/jackrabbit-accessmanager/target/org.apache.sling.jcr.jackrabbit.accessmanager-%{jcr_jackrabbit_accessmanager_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.jackrabbit.accessmanager-sources-%{jcr_jackrabbit_accessmanager_version}.jar
install -m 644 bundles/jcr/jackrabbit-accessmanager/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.jackrabbit.accessmanager.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.jackrabbit.accessmanager %{jcr_jackrabbit_accessmanager_version} JPP/%{name} org.apache.sling.jcr.jackrabbit.accessmanager

%define jcr_jackrabbit_server_version 2.1.0
install -m 644 bundles/jcr/jackrabbit-server/target/org.apache.sling.jcr.jackrabbit.server-%{jcr_jackrabbit_server_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.jackrabbit.server-%{jcr_jackrabbit_server_version}.jar
install -m 644 bundles/jcr/jackrabbit-server/target/org.apache.sling.jcr.jackrabbit.server-%{jcr_jackrabbit_server_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.jackrabbit.server-sources-%{jcr_jackrabbit_server_version}.jar
install -m 644 bundles/jcr/jackrabbit-server/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.jackrabbit.server.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.jackrabbit.server %{jcr_jackrabbit_server_version} JPP/%{name} org.apache.sling.jcr.jackrabbit.server

%define jcr_jackrabbit_usermanager_version 2.1.0
install -m 644 bundles/jcr/jackrabbit-usermanager/target/org.apache.sling.jcr.jackrabbit.usermanager-%{jcr_jackrabbit_usermanager_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.jackrabbit.usermanager-%{jcr_jackrabbit_usermanager_version}.jar
install -m 644 bundles/jcr/jackrabbit-usermanager/target/org.apache.sling.jcr.jackrabbit.usermanager-%{jcr_jackrabbit_usermanager_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.jackrabbit.usermanager-sources-%{jcr_jackrabbit_usermanager_version}.jar
install -m 644 bundles/jcr/jackrabbit-usermanager/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.jackrabbit.usermanager.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.jackrabbit.usermanager %{jcr_jackrabbit_usermanager_version} JPP/%{name} org.apache.sling.jcr.jackrabbit.usermanager

%define jcr_ocm_version 2.0.4
install -m 644 bundles/jcr/ocm/target/org.apache.sling.jcr.ocm-%{jcr_ocm_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.ocm-%{jcr_ocm_version}.jar
install -m 644 bundles/jcr/ocm/target/org.apache.sling.jcr.ocm-%{jcr_ocm_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.ocm-sources-%{jcr_ocm_version}.jar
install -m 644 bundles/jcr/ocm/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.ocm.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.ocm %{jcr_ocm_version} JPP/%{name} org.apache.sling.jcr.ocm

%define jcr_resource_version 2.0.10
install -m 644 bundles/jcr/resource/target/org.apache.sling.jcr.resource-%{jcr_resource_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.resource-%{jcr_resource_version}.jar
install -m 644 bundles/jcr/resource/target/org.apache.sling.jcr.resource-%{jcr_resource_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.resource-sources-%{jcr_resource_version}.jar
install -m 644 bundles/jcr/resource/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.resource.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.resource %{jcr_resource_version} JPP/%{name} org.apache.sling.jcr.resource

%define jcr_webconsole_version 1.0.0
install -m 644 bundles/jcr/webconsole/target/org.apache.sling.jcr.webconsole-%{jcr_webconsole_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.webconsole-%{jcr_webconsole_version}.jar
install -m 644 bundles/jcr/webconsole/target/org.apache.sling.jcr.webconsole-%{jcr_webconsole_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.webconsole-sources-%{jcr_webconsole_version}.jar
install -m 644 bundles/jcr/webconsole/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.webconsole.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.webconsole %{jcr_webconsole_version} JPP/%{name} org.apache.sling.jcr.webconsole

%define jcr_webdav_version 2.1.0
install -m 644 bundles/jcr/webdav/target/org.apache.sling.jcr.webdav-%{jcr_webdav_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.webdav-%{jcr_webdav_version}.jar
install -m 644 bundles/jcr/webdav/target/org.apache.sling.jcr.webdav-%{jcr_webdav_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.jcr.webdav-sources-%{jcr_webdav_version}.jar
install -m 644 bundles/jcr/webdav/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.jcr.webdav.pom
%add_to_maven_depmap %{gname} org.apache.sling.jcr.webdav %{jcr_webdav_version} JPP/%{name} org.apache.sling.jcr.webdav

%define scripting_api_version 2.1.2
install -m 644 bundles/scripting/api/target/org.apache.sling.scripting.api-%{scripting_api_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.api-%{scripting_api_version}.jar
install -m 644 bundles/scripting/api/target/org.apache.sling.scripting.api-%{scripting_api_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.api-sources-%{scripting_api_version}.jar
install -m 644 bundles/scripting/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.scripting.api.pom
%add_to_maven_depmap %{gname} org.apache.sling.scripting.api %{scripting_api_version} JPP/%{name} org.apache.sling.scripting.api

%define scripting_core_version 2.0.16
install -m 644 bundles/scripting/core/target/org.apache.sling.scripting.core-%{scripting_core_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.core-%{scripting_core_version}.jar
install -m 644 bundles/scripting/core/target/org.apache.sling.scripting.core-%{scripting_core_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.core-sources-%{scripting_core_version}.jar
install -m 644 bundles/scripting/core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.scripting.core.pom
%add_to_maven_depmap %{gname} org.apache.sling.scripting.core %{scripting_core_version} JPP/%{name} org.apache.sling.scripting.core

%define scripting_javascript_version 2.0.12
install -m 644 bundles/scripting/javascript/target/org.apache.sling.scripting.javascript-%{scripting_javascript_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.javascript-%{scripting_javascript_version}.jar
install -m 644 bundles/scripting/javascript/target/org.apache.sling.scripting.javascript-%{scripting_javascript_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.javascript-sources-%{scripting_javascript_version}.jar
install -m 644 bundles/scripting/javascript/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.scripting.javascript.pom
%add_to_maven_depmap %{gname} org.apache.sling.scripting.javascript %{scripting_javascript_version} JPP/%{name} org.apache.sling.scripting.javascript

%define scripting_jsp_taglib_version 2.1.0
install -m 644 bundles/scripting/jsp-taglib/target/org.apache.sling.scripting.jsp.taglib-%{scripting_jsp_taglib_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.jsp.taglib-%{scripting_jsp_taglib_version}.jar
install -m 644 bundles/scripting/jsp-taglib/target/org.apache.sling.scripting.jsp.taglib-%{scripting_jsp_taglib_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.jsp.taglib-sources-%{scripting_jsp_taglib_version}.jar
install -m 644 bundles/scripting/jsp-taglib/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.scripting.jsp.taglib.pom
%add_to_maven_depmap %{gname} org.apache.sling.scripting.jsp.taglib %{scripting_jsp_taglib_version} JPP/%{name} org.apache.sling.scripting.jsp.taglib

%define scripting_jsp_version 2.0.14
install -m 644 bundles/scripting/jsp/target/org.apache.sling.scripting.jsp-%{scripting_jsp_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.jsp-%{scripting_jsp_version}.jar
install -m 644 bundles/scripting/jsp/target/org.apache.sling.scripting.jsp-%{scripting_jsp_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.scripting.jsp-sources-%{scripting_jsp_version}.jar
install -m 644 bundles/scripting/jsp/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.scripting.jsp.pom
%add_to_maven_depmap %{gname} org.apache.sling.scripting.jsp %{scripting_jsp_version} JPP/%{name} org.apache.sling.scripting.jsp

%define servlets_get_version 2.1.2
install -m 644 bundles/servlets/get/target/org.apache.sling.servlets.get-%{servlets_get_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.servlets.get-%{servlets_get_version}.jar
install -m 644 bundles/servlets/get/target/org.apache.sling.servlets.get-%{servlets_get_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.servlets.get-sources-%{servlets_get_version}.jar
install -m 644 bundles/servlets/get/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.servlets.get.pom
%add_to_maven_depmap %{gname} org.apache.sling.servlets.get %{servlets_get_version} JPP/%{name} org.apache.sling.servlets.get

%define servlets_post_version 2.1.0
install -m 644 bundles/servlets/post/target/org.apache.sling.servlets.post-%{servlets_post_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.servlets.post-%{servlets_post_version}.jar
install -m 644 bundles/servlets/post/target/org.apache.sling.servlets.post-%{servlets_post_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.servlets.post-sources-%{servlets_post_version}.jar
install -m 644 bundles/servlets/post/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.servlets.post.pom
%add_to_maven_depmap %{gname} org.apache.sling.servlets.post %{servlets_post_version} JPP/%{name} org.apache.sling.servlets.post

%define servlets_resolver_version 2.1.0
install -m 644 bundles/servlets/resolver/target/org.apache.sling.servlets.resolver-%{servlets_resolver_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.servlets.resolver-%{servlets_resolver_version}.jar
install -m 644 bundles/servlets/resolver/target/org.apache.sling.servlets.resolver-%{servlets_resolver_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.servlets.resolver-sources-%{servlets_resolver_version}.jar
install -m 644 bundles/servlets/resolver/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.servlets.resolver.pom
%add_to_maven_depmap %{gname} org.apache.sling.servlets.resolver %{servlets_resolver_version} JPP/%{name} org.apache.sling.servlets.resolver

%define installer_core_version 3.1.2
install -m 644 installer/core/target/org.apache.sling.installer.core-%{installer_core_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.installer.core-%{installer_core_version}.jar
install -m 644 installer/core/target/org.apache.sling.installer.core-%{installer_core_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.installer.core-sources-%{installer_core_version}.jar
install -m 644 installer/core/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.installer.core.pom
%add_to_maven_depmap %{gname} org.apache.sling.installer.core %{installer_core_version} JPP/%{name} org.apache.sling.installer.core

%define installer_provider_file_version 1.0.0
install -m 644 installer/providers/file/target/org.apache.sling.installer.provider.file-%{installer_provider_file_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.installer.provider.file-%{installer_provider_file_version}.jar
install -m 644 installer/providers/file/target/org.apache.sling.installer.provider.file-%{installer_provider_file_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.installer.provider.file-sources-%{installer_provider_file_version}.jar
install -m 644 installer/providers/file/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.installer.provider.file.pom
%add_to_maven_depmap %{gname} org.apache.sling.installer.provider.file %{installer_provider_file_version} JPP/%{name} org.apache.sling.installer.provider.file

%define installer_provider_jcr_version 3.0.4
install -m 644 installer/providers/jcr/target/org.apache.sling.installer.provider.jcr-%{installer_provider_jcr_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.installer.provider.jcr-%{installer_provider_jcr_version}.jar
install -m 644 installer/providers/jcr/target/org.apache.sling.installer.provider.jcr-%{installer_provider_jcr_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.installer.provider.jcr-sources-%{installer_provider_jcr_version}.jar
install -m 644 installer/providers/jcr/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.installer.provider.jcr.pom
%add_to_maven_depmap %{gname} org.apache.sling.installer.provider.jcr %{installer_provider_jcr_version} JPP/%{name} org.apache.sling.installer.provider.jcr

%define launchpad_api_version 1.0.0
install -m 644 launchpad/api/target/org.apache.sling.launchpad.api-%{launchpad_api_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.api-%{launchpad_api_version}.jar
install -m 644 launchpad/api/target/org.apache.sling.launchpad.api-%{launchpad_api_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.api-sources-%{launchpad_api_version}.jar
install -m 644 launchpad/api/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.api.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.api %{launchpad_api_version} JPP/%{name} org.apache.sling.launchpad.api

%define launchpad_base_version 2.3.0
install -m 644 launchpad/base/target/org.apache.sling.launchpad.base-%{launchpad_base_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.base-%{launchpad_base_version}.jar
install -m 644 launchpad/base/target/org.apache.sling.launchpad.base-%{launchpad_base_version}-app.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.base-app-%{launchpad_base_version}.jar
install -m 644 launchpad/base/target/org.apache.sling.launchpad.base-%{launchpad_base_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.base-sources-%{launchpad_base_version}.jar
install -m 644 launchpad/base/target/org.apache.sling.launchpad.base-%{launchpad_base_version}-webapp.war \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.base-webapp-%{launchpad_base_version}.war
install -m 644 launchpad/base/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.base.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.base %{launchpad_base_version} JPP/%{name} org.apache.sling.launchpad.base

install -m 644 launchpad/builder/target/org.apache.sling.launchpad-%{version}-bundles.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad-bundles-%{version}.jar
install -m 644 launchpad/builder/target/org.apache.sling.launchpad-%{version}-standalone.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad-standalone-%{version}.jar
install -m 644 launchpad/builder/target/org.apache.sling.launchpad-%{version}.war \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad-%{version}.war
install -m 644 launchpad/builder/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad %{version} JPP/%{name} org.apache.sling.launchpad

%define launchpad_content_version 2.0.6
install -m 644 launchpad/content/target/org.apache.sling.launchpad.content-%{launchpad_content_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.content-%{launchpad_content_version}.jar
install -m 644 launchpad/content/target/org.apache.sling.launchpad.content-%{launchpad_content_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.content-sources-%{launchpad_content_version}.jar
install -m 644 launchpad/content/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.content.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.content %{launchpad_content_version} JPP/%{name} org.apache.sling.launchpad.content

%define launchpad_installer_version 1.0.0
install -m 644 launchpad/installer/target/org.apache.sling.launchpad.installer-%{launchpad_installer_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.installer-%{launchpad_installer_version}.jar
install -m 644 launchpad/installer/target/org.apache.sling.launchpad.installer-%{launchpad_installer_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.installer-sources-%{launchpad_installer_version}.jar
install -m 644 launchpad/installer/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.installer.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.installer %{launchpad_installer_version} JPP/%{name} org.apache.sling.launchpad.installer

%define launchpad_integration_tests_version 1.0.0
install -m 644 launchpad/integration-tests/target/org.apache.sling.launchpad.integration-tests-%{launchpad_integration_tests_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.integration-tests-%{launchpad_integration_tests_version}.jar
install -m 644 launchpad/integration-tests/target/org.apache.sling.launchpad.integration-tests-%{launchpad_integration_tests_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.integration-tests-sources-%{launchpad_integration_tests_version}.jar
install -m 644 launchpad/integration-tests/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.integration-tests.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.integration-tests %{launchpad_integration_tests_version} JPP/%{name} org.apache.sling.launchpad.integration-tests

install -m 644 launchpad/testing/target/org.apache.sling.launchpad.testing-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.testing-%{version}.jar
install -m 644 launchpad/testing/target/org.apache.sling.launchpad.testing-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.testing-sources-%{version}.jar
install -m 644 launchpad/testing/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.testing.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.testing %{version} JPP/%{name} org.apache.sling.launchpad.testing

%define launchpad_test_services_version 2.0.8
install -m 644 launchpad/test-services/target/org.apache.sling.launchpad.test-services-%{launchpad_test_services_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.test-services-%{launchpad_test_services_version}.jar
install -m 644 launchpad/test-services/target/org.apache.sling.launchpad.test-services-%{launchpad_test_services_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.test-services-sources-%{launchpad_test_services_version}.jar
install -m 644 launchpad/test-services/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.test-services.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.test-services %{launchpad_test_services_version} JPP/%{name} org.apache.sling.launchpad.test-services

%define launchpad_test_services_war_version 2.0.8
install -m 644 launchpad/test-services-war/target/org.apache.sling.launchpad.test-services-war-%{launchpad_test_services_war_version}.war \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.test-services-war-%{launchpad_test_services_war_version}.war
install -m 644 launchpad/test-services-war/target/org.apache.sling.launchpad.test-services-war-%{launchpad_test_services_war_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.apache.sling.launchpad.test-services-war-sources-%{launchpad_test_services_war_version}.jar
install -m 644 launchpad/test-services-war/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.apache.sling.launchpad.test-services-war.pom
%add_to_maven_depmap %{gname} org.apache.sling.launchpad.test-services-war %{launchpad_test_services_war_version} JPP/%{name} org.apache.sling.launchpad.test-services-war

%define initial_content_archetype_version 1.0.0
install -m 644 maven/archetypes/initial-content/target/sling-initial-content-archetype-%{initial_content_archetype_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sling-initial-content-archetype-%{initial_content_archetype_version}.jar
install -m 644 maven/archetypes/initial-content/target/sling-initial-content-archetype-%{initial_content_archetype_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sling-initial-content-archetype-sources-%{initial_content_archetype_version}.jar
install -m 644 maven/archetypes/initial-content/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-sling-initial-content-archetype.pom
%add_to_maven_depmap %{gname} sling-initial-content-archetype %{initial_content_archetype_version} JPP/%{name} sling-initial-content-archetype

%define servlet_archetype_version 1.0.0
install -m 644 maven/archetypes/servlet/target/sling-servlet-archetype-%{servlet_archetype_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sling-servlet-archetype-%{servlet_archetype_version}.jar
install -m 644 maven/archetypes/servlet/target/sling-servlet-archetype-%{servlet_archetype_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sling-servlet-archetype-sources-%{servlet_archetype_version}.jar
install -m 644 maven/archetypes/servlet/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-sling-servlet-archetype.pom
%add_to_maven_depmap %{gname} sling-servlet-archetype %{servlet_archetype_version} JPP/%{name} sling-servlet-archetype

%define jcrocm_plugin_version 2.0.4
install -m 644 maven/maven-jcrocm-plugin/target/maven-jcrocm-plugin-%{jcrocm_plugin_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-jcrocm-plugin-%{jcrocm_plugin_version}.jar
install -m 644 maven/maven-jcrocm-plugin/target/maven-jcrocm-plugin-%{jcrocm_plugin_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-jcrocm-plugin-sources-%{jcrocm_plugin_version}.jar
install -m 644 maven/maven-jcrocm-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-jcrocm-plugin.pom
%add_to_maven_depmap %{gname} maven-jcrocm-plugin %{jcrocm_plugin_version} JPP/%{name} maven-jcrocm-plugin

%define jspc_plugin_version 2.0.4
install -m 644 maven/maven-jspc-plugin/target/maven-jspc-plugin-%{jspc_plugin_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-jspc-plugin-%{jspc_plugin_version}.jar
install -m 644 maven/maven-jspc-plugin/target/maven-jspc-plugin-%{jspc_plugin_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-jspc-plugin-sources-%{jspc_plugin_version}.jar
install -m 644 maven/maven-jspc-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-jspc-plugin.pom
%add_to_maven_depmap %{gname} maven-jspc-plugin %{jspc_plugin_version} JPP/%{name} maven-jspc-plugin

%define launchpad_plugin_version 2.0.10
install -m 644 maven/maven-launchpad-plugin/target/maven-launchpad-plugin-%{launchpad_plugin_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-launchpad-plugin-%{launchpad_plugin_version}.jar
install -m 644 maven/maven-launchpad-plugin/target/maven-launchpad-plugin-%{launchpad_plugin_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-launchpad-plugin-sources-%{launchpad_plugin_version}.jar
install -m 644 maven/maven-launchpad-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-launchpad-plugin.pom
%add_to_maven_depmap %{gname} maven-launchpad-plugin %{launchpad_plugin_version} JPP/%{name} maven-launchpad-plugin

%define sling_plugin_version 2.0.4
install -m 644 maven/maven-sling-plugin/target/maven-sling-plugin-%{sling_plugin_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-sling-plugin-%{sling_plugin_version}.jar
install -m 644 maven/maven-sling-plugin/target/maven-sling-plugin-%{sling_plugin_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-sling-plugin-sources-%{sling_plugin_version}.jar
install -m 644 maven/maven-sling-plugin/pom.xml \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-sling-plugin.pom
%add_to_maven_depmap %{gname} maven-sling-plugin %{sling_plugin_version} JPP/%{name} maven-sling-plugin

for v in 6 0.2.0 1.0.0 1.0.2 1.0.4 1.0.6 1.2.2 2.0.10 2.0.12 2.0.14 2.0.16 2.0.4 2.0.6 2.0.8 2.1.0 2.1.2 2.1.4 2.2.0 2.2.2 2.3.0 3.0.2 3.0.4 3.1.0 3.1.2 3.1.4 ; do
    (cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-${v}.*; do ln -sf ${jar} `echo $jar| sed  "s|-${v}||g"`; done)
done

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%dir %{_javadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files api
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.api*.jar

%files auth
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.auth*.jar

%files commons
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.commons*.jar

%files engine
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.engine*.jar

%files extensions
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.adapter*.jar
%{_javadir}/%{name}/%{gname}.bundleresource*.jar
%{_javadir}/%{name}/%{gname}.event*.jar
%{_javadir}/%{name}/%{gname}.extensions*.jar
%{_javadir}/%{name}/%{gname}.fsresource*.jar
%{_javadir}/%{name}/%{gname}.settings*.jar

%files installer
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.installer*.jar

%files jcr
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.jcr*.jar

%files launchpad
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.launchpad*

%files maven
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/maven-*-plugin*.jar
%{_javadir}/%{name}/sling-*-archetype*.jar

%files scripting
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.scripting*.jar

%files servlets
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{gname}.servlets*.jar


%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Sat Feb 16 2013 Ralph Apel <r.apel at r-apel.de> 0:6-1
- First release as sling6

* Fri Feb 20 2009 Ralph Apel <r.apel at r-apel.de> 0:2.0.2-1.jpp5
- First build

